profile
viewpoint
Colin Nelson orthros Seattle @google @GoogleCloudPlatform Tinkerer, Container Addict GPG: 0x30f64efc82f8fe88

orthros/dart-epub 140

Epub Reader and Writer for Dart

googleapis/repo-automation-bots 134

A collection of bots, based on probot, for performing common maintenance tasks across the open-source repos managed by Google on GitHub.

GoogleCloudPlatform/cloud-opensource-python 41

Dependency Management Toolkit for Google Cloud Python Projects

orthros/alexa-rng 1

Alexa skill to produce a few Random Number Generation Features

orthros/api 1

The canonical location of the Kubernetes API definition.

orthros/build 1

[mirror] Go's continuous build and release infrastructure (no stability promises)

orthros/.vim 0

My .vim dotfiles and configurations

orthros/agones 0

Dedicated Game Server Hosting and Scaling for Multiplayer Games on Kubernetes

issue commentGoogleCloudPlatform/nodejs-docs-samples

appengine/metadata/standard: should be listening failed

commit: d375658d8233e0a11d6986cd147db84b216c3748 buildURL: Build Status, Sponge status: failed <details><summary>Test output</summary><br><pre>app.address is not a function TypeError: app.address is not a function at Test.serverAddress (node_modules/supertest/lib/test.js:57:18) at new Test (node_modules/supertest/lib/test.js:38:12) at Object.obj.<computed> [as get] (node_modules/supertest/index.js:27:14) at Context.<anonymous> (test/server.test.js:6:24) at processImmediate (internal/timers.js:456:21)</pre></details>

build-cop-bot[bot]

comment created time in 4 hours

issue commentgoogleapis/python-aiplatform

samples.snippets.import_data_text_entity_extraction_sample_test: test_ucaip_generated_import_data_text_entity_extraction_sample failed

Looks like this issue is flaky. :worried:

I'm going to leave this open and stop commenting.

A human should fix and close this.


When run at the same commit (860d12e3cbcf2d300559d0acbb3058e2d66e45e2), this test passed in one build (Build Status, Sponge) and failed in another build (Build Status, Sponge).

build-cop-bot[bot]

comment created time in 6 hours

issue commentGoogleCloudPlatform/nodejs-docs-samples

appengine/metadata/flexible: should be listening failed

commit: d375658d8233e0a11d6986cd147db84b216c3748 buildURL: Build Status, Sponge status: failed <details><summary>Test output</summary><br><pre>app.address is not a function TypeError: app.address is not a function at Test.serverAddress (node_modules/supertest/lib/test.js:57:18) at new Test (node_modules/supertest/lib/test.js:38:12) at Object.obj.<computed> [as get] (node_modules/supertest/index.js:27:14) at Context.<anonymous> (test/server.test.js:7:26) at processImmediate (internal/timers.js:456:21)</pre></details>

build-cop-bot[bot]

comment created time in 15 hours

push eventGoogleCloudPlatform/nodejs-docs-samples

WhiteSource Renovate

commit sha d375658d8233e0a11d6986cd147db84b216c3748

chore(deps): update node.js to v12.20.0 (#2085) Co-authored-by: F. Hinkelmann <franziska.hinkelmann@gmail.com>

view details

push time in a day

PR merged GoogleCloudPlatform/nodejs-docs-samples

Reviewers
chore(deps): update node.js to v12.20.0 cla: yes samples

WhiteSource Renovate

This PR contains the following updates:

Package Type Update Change
node engines minor 12.19.1 -> 12.20.0

Release Notes

<details> <summary>nodejs/node</summary>

v12.20.0

Compare Source

Notable Changes
  • crypto:
    • update certdata to NSS 3.56 (Shelley Vohr) #​35546
  • deps:
    • update llhttp to 2.1.3 (Fedor Indutny) #​35435
    • (SEMVER-MINOR) upgrade to libuv 1.40.0 (Colin Ihrig) #​35333
  • doc:
    • add aduh95 to collaborators (Antoine du Hamel) #​35542
  • fs:
    • (SEMVER-MINOR) add .ref() and .unref() methods to watcher classes (rickyes) #​33134
  • http:
    • (SEMVER-MINOR) added scheduling option to http agent (delvedor) #​33278
  • module:
    • (SEMVER-MINOR) exports pattern support (Guy Bedford) #​34718
    • (SEMVER-MINOR) named exports for CJS via static analysis (Guy Bedford) #​35249
  • n-api:
    • (SEMVER-MINOR) add more property defaults (Gerhard Stoebich) #​35214
  • src:
    • (SEMVER-MINOR) move node_contextify to modern THROW_ERR_* (James M Snell) #​35470
    • (SEMVER-MINOR) move node_process to modern THROW_ERR* (James M Snell) #​35472
    • (SEMVER-MINOR) expose v8::Isolate setup callbacks (Shelley Vohr) #​35512
Commits

</details>


Renovate configuration

:date: Schedule: At any time (no schedule defined).

:vertical_traffic_light: Automerge: Disabled by config. Please merge this manually once you are satisfied.

:recycle: Rebasing: Renovate will not automatically rebase this PR, because other commits have been found.

:no_bell: Ignore: Close this PR and you won't be reminded about this update again.


  • [ ] <!-- rebase-check -->If you want to rebase/retry this PR, check this box

This PR has been generated by WhiteSource Renovate. View repository job log here.

+2 -2

0 comment

2 changed files

renovate-bot

pr closed time in a day

issue commentGoogleCloudPlatform/java-docs-samples

Don't import junit.framework.TestCase.assertNotNull

https://github.com/GoogleCloudPlatform/java-docs-samples/search?q=junit.framework.TestCase.assertNotNull

Please don't autoclose bugs.

elharo

comment created time in a day

issue commentGoogleCloudPlatform/nodejs-docs-samples

appengine/metadata/standard: should be listening failed

commit: 0dcaea1071c8aec686f3bb674a21ddd8daa3887c buildURL: Build Status, Sponge status: failed <details><summary>Test output</summary><br><pre>app.address is not a function TypeError: app.address is not a function at Test.serverAddress (node_modules/supertest/lib/test.js:57:18) at new Test (node_modules/supertest/lib/test.js:38:12) at Object.obj.<computed> [as get] (node_modules/supertest/index.js:27:14) at Context.<anonymous> (test/server.test.js:6:24) at processImmediate (internal/timers.js:456:21)</pre></details>

build-cop-bot[bot]

comment created time in a day

pull request commentGoogleCloudPlatform/java-docs-samples

chore(deps): update dependency com.slack.api:slack-app-backend to v1.3.3

Merge-on-green attempted to merge your PR for 6 hours, but it was not mergeable because either one of your required status checks failed, or one of your required reviews was not approved. Learn more about your required status checks here: https://help.github.com/en/github/administering-a-repository/enabling-required-status-checks. You can remove and reapply the label to re-run the bot.

renovate-bot

comment created time in a day

issue openedgoogleapis/python-aiplatform

samples.snippets.import_data_text_entity_extraction_sample_test: test_ucaip_generated_import_data_text_entity_extraction_sample failed

This test failed!

To configure my behavior, see the Build Cop Bot documentation.

If I'm commenting on this issue too often, add the buildcop: quiet label and I will stop commenting.


commit: 860d12e3cbcf2d300559d0acbb3058e2d66e45e2 buildURL: Build Status, Sponge status: failed <details><summary>Test output</summary><br><pre>target = functools.partial(<bound method PollingFuture._done_or_raise of <google.api_core.operation.Operation object at 0x7fa736b2bcd0>>) predicate = <function if_exception_type.<locals>.if_exception_type_predicate at 0x7fa73dcfaf80> sleep_generator = <generator object exponential_sleep_generator at 0x7fa736b99b50> deadline = 1800, on_error = None

def retry_target(target, predicate, sleep_generator, deadline, on_error=None):
    """Call a function and retry if it fails.

    This is the lowest-level retry helper. Generally, you'll use the
    higher-level retry helper :class:`Retry`.

    Args:
        target(Callable): The function to call and retry. This must be a
            nullary function - apply arguments with `functools.partial`.
        predicate (Callable[Exception]): A callable used to determine if an
            exception raised by the target should be considered retryable.
            It should return True to retry or False otherwise.
        sleep_generator (Iterable[float]): An infinite iterator that determines
            how long to sleep between retries.
        deadline (float): How long to keep retrying the target. The last sleep
            period is shortened as necessary, so that the last retry runs at
            ``deadline`` (and not considerably beyond it).
        on_error (Callable[Exception]): A function to call while processing a
            retryable exception.  Any error raised by this function will *not*
            be caught.

    Returns:
        Any: the return value of the target function.

    Raises:
        google.api_core.RetryError: If the deadline is exceeded while retrying.
        ValueError: If the sleep generator stops yielding values.
        Exception: If the target raises a method that isn't retryable.
    """
    if deadline is not None:
        deadline_datetime = datetime_helpers.utcnow() + datetime.timedelta(
            seconds=deadline
        )
    else:
        deadline_datetime = None

    last_exc = None

    for sleep in sleep_generator:
        try:
          return target()

.nox/py-3-7/lib/python3.7/site-packages/google/api_core/retry.py:184:


self = <google.api_core.operation.Operation object at 0x7fa736b2bcd0> retry = <google.api_core.retry.Retry object at 0x7fa73dd074d0>

def _done_or_raise(self, retry=DEFAULT_RETRY):
    """Check if the future is done and raise if it's not."""
    kwargs = {} if retry is DEFAULT_RETRY else {"retry": retry}

    if not self.done(**kwargs):
      raise _OperationNotComplete()

E google.api_core.future.polling._OperationNotComplete

.nox/py-3-7/lib/python3.7/site-packages/google/api_core/future/polling.py:86: _OperationNotComplete

The above exception was the direct cause of the following exception:

self = <google.api_core.operation.Operation object at 0x7fa736b2bcd0> timeout = 1800, retry = <google.api_core.retry.Retry object at 0x7fa73dd074d0>

def _blocking_poll(self, timeout=None, retry=DEFAULT_RETRY):
    """Poll and wait for the Future to be resolved.

    Args:
        timeout (int):
            How long (in seconds) to wait for the operation to complete.
            If None, wait indefinitely.
    """
    if self._result_set:
        return

    retry_ = self._retry.with_deadline(timeout)

    try:
        kwargs = {} if retry is DEFAULT_RETRY else {"retry": retry}
      retry_(self._done_or_raise)(**kwargs)

.nox/py-3-7/lib/python3.7/site-packages/google/api_core/future/polling.py:107:


args = (), kwargs = {} target = functools.partial(<bound method PollingFuture._done_or_raise of <google.api_core.operation.Operation object at 0x7fa736b2bcd0>>) sleep_generator = <generator object exponential_sleep_generator at 0x7fa736b99b50>

@general_helpers.wraps(func)
def retry_wrapped_func(*args, **kwargs):
    """A wrapper that calls target function with retry."""
    target = functools.partial(func, *args, **kwargs)
    sleep_generator = exponential_sleep_generator(
        self._initial, self._maximum, multiplier=self._multiplier
    )
    return retry_target(
        target,
        self._predicate,
        sleep_generator,
        self._deadline,
      on_error=on_error,
    )

.nox/py-3-7/lib/python3.7/site-packages/google/api_core/retry.py:286:


target = functools.partial(<bound method PollingFuture._done_or_raise of <google.api_core.operation.Operation object at 0x7fa736b2bcd0>>) predicate = <function if_exception_type.<locals>.if_exception_type_predicate at 0x7fa73dcfaf80> sleep_generator = <generator object exponential_sleep_generator at 0x7fa736b99b50> deadline = 1800, on_error = None

def retry_target(target, predicate, sleep_generator, deadline, on_error=None):
    """Call a function and retry if it fails.

    This is the lowest-level retry helper. Generally, you'll use the
    higher-level retry helper :class:`Retry`.

    Args:
        target(Callable): The function to call and retry. This must be a
            nullary function - apply arguments with `functools.partial`.
        predicate (Callable[Exception]): A callable used to determine if an
            exception raised by the target should be considered retryable.
            It should return True to retry or False otherwise.
        sleep_generator (Iterable[float]): An infinite iterator that determines
            how long to sleep between retries.
        deadline (float): How long to keep retrying the target. The last sleep
            period is shortened as necessary, so that the last retry runs at
            ``deadline`` (and not considerably beyond it).
        on_error (Callable[Exception]): A function to call while processing a
            retryable exception.  Any error raised by this function will *not*
            be caught.

    Returns:
        Any: the return value of the target function.

    Raises:
        google.api_core.RetryError: If the deadline is exceeded while retrying.
        ValueError: If the sleep generator stops yielding values.
        Exception: If the target raises a method that isn't retryable.
    """
    if deadline is not None:
        deadline_datetime = datetime_helpers.utcnow() + datetime.timedelta(
            seconds=deadline
        )
    else:
        deadline_datetime = None

    last_exc = None

    for sleep in sleep_generator:
        try:
            return target()

        # pylint: disable=broad-except
        # This function explicitly must deal with broad exceptions.
        except Exception as exc:
            if not predicate(exc):
                raise
            last_exc = exc
            if on_error is not None:
                on_error(exc)

        now = datetime_helpers.utcnow()

        if deadline_datetime is not None:
            if deadline_datetime <= now:
                six.raise_from(
                    exceptions.RetryError(
                        "Deadline of {:.1f}s exceeded while calling {}".format(
                            deadline, target
                        ),
                        last_exc,
                    ),
                  last_exc,
                )

.nox/py-3-7/lib/python3.7/site-packages/google/api_core/retry.py:206:


value = None, from_value = _OperationNotComplete()

??? E google.api_core.exceptions.RetryError: Deadline of 1800.0s exceeded while calling functools.partial(<bound method PollingFuture._done_or_raise of <google.api_core.operation.Operation object at 0x7fa736b2bcd0>>), last exception:

<string>:3: RetryError

During handling of the above exception, another exception occurred:

capsys = <_pytest.capture.CaptureFixture object at 0x7fa736b23610> dataset_name = 'projects/580378083368/locations/us-central1/datasets/1868888292242489344'

def test_ucaip_generated_import_data_text_entity_extraction_sample(
    capsys, dataset_name
):
    dataset_id = dataset_name.split("/")[-1]

    import_data_text_entity_extraction_sample.import_data_text_entity_extraction_sample(
      gcs_source_uri=GCS_SOURCE, project=PROJECT_ID, dataset_id=dataset_id
    )

import_data_text_entity_extraction_sample_test.py:57:


import_data_text_entity_extraction_sample.py:40: in import_data_text_entity_extraction_sample import_data_response = response.result(timeout=timeout) .nox/py-3-7/lib/python3.7/site-packages/google/api_core/future/polling.py:129: in result self._blocking_poll(timeout=timeout, **kwargs)


self = <google.api_core.operation.Operation object at 0x7fa736b2bcd0> timeout = 1800, retry = <google.api_core.retry.Retry object at 0x7fa73dd074d0>

def _blocking_poll(self, timeout=None, retry=DEFAULT_RETRY):
    """Poll and wait for the Future to be resolved.

    Args:
        timeout (int):
            How long (in seconds) to wait for the operation to complete.
            If None, wait indefinitely.
    """
    if self._result_set:
        return

    retry_ = self._retry.with_deadline(timeout)

    try:
        kwargs = {} if retry is DEFAULT_RETRY else {"retry": retry}
        retry_(self._done_or_raise)(**kwargs)
    except exceptions.RetryError:
        raise concurrent.futures.TimeoutError(
          "Operation did not complete within the designated " "timeout."
        )

E concurrent.futures._base.TimeoutError: Operation did not complete within the designated timeout.

.nox/py-3-7/lib/python3.7/site-packages/google/api_core/future/polling.py:110: TimeoutError</pre></details>

created time in a day

PR opened GoogleCloudPlatform/java-docs-samples

chore(deps): update dependency com.slack.api:slack-app-backend to v1.3.3

WhiteSource Renovate

This PR contains the following updates:

Package Update Change
com.slack.api:slack-app-backend patch 1.3.2 -> 1.3.3

Renovate configuration

:date: Schedule: At any time (no schedule defined).

:vertical_traffic_light: Automerge: Disabled by config. Please merge this manually once you are satisfied.

:recycle: Rebasing: Never, or you tick the rebase/retry checkbox.

:no_bell: Ignore: Close this PR and you won't be reminded about this update again.


  • [ ] <!-- rebase-check -->If you want to rebase/retry this PR, check this box

This PR has been generated by WhiteSource Renovate. View repository job log here.

+1 -1

0 comment

1 changed file

pr created time in a day

startedmanubot/manubot

started time in 2 days

startedreflex-frp/reflex

started time in 2 days

issue commentGoogleCloudPlatform/nodejs-docs-samples

appengine/metadata/flexible: should be listening failed

commit: 0dcaea1071c8aec686f3bb674a21ddd8daa3887c buildURL: Build Status, Sponge status: failed <details><summary>Test output</summary><br><pre>app.address is not a function TypeError: app.address is not a function at Test.serverAddress (node_modules/supertest/lib/test.js:57:18) at new Test (node_modules/supertest/lib/test.js:38:12) at Object.obj.<computed> [as get] (node_modules/supertest/index.js:27:14) at Context.<anonymous> (test/server.test.js:7:26) at processImmediate (internal/timers.js:456:21)</pre></details>

build-cop-bot[bot]

comment created time in 2 days

pull request commentgoogleapis/python-aiplatform

feat: add create_batch_prediction_job samples

This PR has been rebased on https://github.com/googleapis/python-aiplatform/pull/90, merge https://github.com/googleapis/python-aiplatform/pull/90 first.

dizcology

comment created time in 2 days

issue commentGoogleCloudPlatform/java-docs-samples

secret in the repo

This issue has been automatically marked as stale because it has not had recent activity. It will be closed if no further activity occurs. Thank you for your contributions.

elharo

comment created time in 2 days

issue commentGoogleCloudPlatform/java-docs-samples

Bigtable updates from RenovateBot are incompatible...

This issue has been automatically marked as stale because it has not had recent activity. It will be closed if no further activity occurs. Thank you for your contributions.

lesv

comment created time in 2 days

issue commentGoogleCloudPlatform/java-docs-samples

Don't import junit.framework.TestCase.assertNotNull

This issue has been automatically marked as stale because it has not had recent activity. It will be closed if no further activity occurs. Thank you for your contributions.

elharo

comment created time in 2 days

issue commentGoogleCloudPlatform/ruby-docs-samples

rspec: Cloud IoT Core Create failed

Looks like this issue is flaky. :worried:

I'm going to leave this open and stop commenting.

A human should fix and close this.


When run at the same commit (1fa0075948d3f26bf5cee5e815ca2a88e41e399d), this test passed in one build (Build Status, Sponge) and failed in another build (Build Status, Sponge).

build-cop-bot[bot]

comment created time in 2 days

PR opened googleapis/python-aiplatform

chore: sample tests lint

https://github.com/googleapis/python-aiplatform/issues/80

+190 -231

0 comment

65 changed files

pr created time in 2 days

push eventgoogleapis/python-aiplatform

Morgan Du

commit sha 860d12e3cbcf2d300559d0acbb3058e2d66e45e2

test: var (#89) Co-authored-by: Yu-Han Liu <yuhanliu@google.com>

view details

push time in 2 days

push eventgoogleapis/python-aiplatform

Yu-Han Liu

commit sha 19dc31a7e63ec112e9d0dc72e22db04910137d07

docs: update readme (#81)

view details

release-please[bot]

commit sha cde5d8b4af15584486da61edd9d1ca156fe9bdd9

chore: release 0.4.0

view details

push time in 2 days

PR merged googleapis/python-aiplatform

Reviewers
docs: update readme cla: yes
+4 -10

0 comment

1 changed file

dizcology

pr closed time in 2 days

push eventgoogleapis/python-aiplatform

Yu-Han Liu

commit sha 19dc31a7e63ec112e9d0dc72e22db04910137d07

docs: update readme (#81)

view details

push time in 2 days

delete branch GoogleCloudPlatform/nodejs-docs-samples

delete branch : fhinkel-iot-cleanup

delete time in 2 days

push eventGoogleCloudPlatform/nodejs-docs-samples

F. Hinkelmann

commit sha 0dcaea1071c8aec686f3bb674a21ddd8daa3887c

chore: cleanup left over IoT references (#2084)

view details

push time in 2 days

PR merged GoogleCloudPlatform/nodejs-docs-samples

chore: cleanup leftover IoT references cla: yes kokoro:run samples

Ref: https://github.com/GoogleCloudPlatform/nodejs-docs-samples/issues/2082

+0 -6

0 comment

2 changed files

fhinkel

pr closed time in 2 days

issue closedgoogleapis/python-aiplatform

samples.snippets.predict_text_sentiment_analysis_sample_test: test_ucaip_generated_predict_text_sentiment_analysis_sample failed

This test failed!

To configure my behavior, see the Build Cop Bot documentation.

If I'm commenting on this issue too often, add the buildcop: quiet label and I will stop commenting.


commit: 5155dee5edd86fb700a91dfca01bddd4d6393410 buildURL: Build Status, Sponge status: failed <details><summary>Test output</summary><br><pre>args = (endpoint: "projects/ucaip-sample-tests/locations/us-central1/endpoints/7811563922418302976" instances { struct_valu... string_value: "The Chicago Bears is a great football team!" } } } } parameters { struct_value { } } ,) kwargs = {'metadata': [('x-goog-request-params', 'endpoint=projects/ucaip-sample-tests/locations/us-central1/endpoints/7811563922418302976'), ('x-goog-api-client', 'gl-python/3.7.7 grpc/1.33.2 gax/1.23.0 gapic/0.3.1')]}

@six.wraps(callable_)
def error_remapped_callable(*args, **kwargs):
    try:
      return callable_(*args, **kwargs)

.nox/py-3-7/lib/python3.7/site-packages/google/api_core/grpc_helpers.py:57:


self = <grpc._channel._UnaryUnaryMultiCallable object at 0x7f66280e58d0> request = endpoint: "projects/ucaip-sample-tests/locations/us-central1/endpoints/7811563922418302976" instances { struct_value... string_value: "The Chicago Bears is a great football team!" } } } } parameters { struct_value { } }

timeout = None metadata = [('x-goog-request-params', 'endpoint=projects/ucaip-sample-tests/locations/us-central1/endpoints/7811563922418302976'), ('x-goog-api-client', 'gl-python/3.7.7 grpc/1.33.2 gax/1.23.0 gapic/0.3.1')] credentials = None, wait_for_ready = None, compression = None

def __call__(self,
             request,
             timeout=None,
             metadata=None,
             credentials=None,
             wait_for_ready=None,
             compression=None):
    state, call, = self._blocking(request, timeout, metadata, credentials,
                                  wait_for_ready, compression)
  return _end_unary_response_blocking(state, call, False, None)

.nox/py-3-7/lib/python3.7/site-packages/grpc/_channel.py:923:


state = <grpc._channel._RPCState object at 0x7f66280e5490> call = <grpc._cython.cygrpc.SegregatedCall object at 0x7f66280e6be0> with_call = False, deadline = None

def _end_unary_response_blocking(state, call, with_call, deadline):
    if state.code is grpc.StatusCode.OK:
        if with_call:
            rendezvous = _MultiThreadedRendezvous(state, call, None, deadline)
            return state.response, rendezvous
        else:
            return state.response
    else:
      raise _InactiveRpcError(state)

E grpc._channel._InactiveRpcError: <_InactiveRpcError of RPC that terminated with: E status = StatusCode.FAILED_PRECONDITION E details = "Endpoint projects/ucaip-sample-tests/locations/us-central1/endpoints/7811563922418302976 doesn't have traffic_split." E debug_error_string = "{"created":"@1605785199.361124669","description":"Error received from peer ipv4:74.125.142.95:443","file":"src/core/lib/surface/call.cc","file_line":1061,"grpc_message":"Endpoint projects/ucaip-sample-tests/locations/us-central1/endpoints/7811563922418302976 doesn't have traffic_split.","grpc_status":9}" E >

.nox/py-3-7/lib/python3.7/site-packages/grpc/_channel.py:826: _InactiveRpcError

The above exception was the direct cause of the following exception:

capsys = <_pytest.capture.CaptureFixture object at 0x7f66280dcc10>

def test_ucaip_generated_predict_text_sentiment_analysis_sample(capsys):

    predict_text_sentiment_analysis_sample.predict_text_sentiment_analysis_sample(
      content=content, project=PROJECT_ID, endpoint_id=ENDPOINT_ID
    )

predict_text_sentiment_analysis_sample_test.py:29:


predict_text_sentiment_analysis_sample.py:41: in predict_text_sentiment_analysis_sample endpoint=endpoint, instances=instances, parameters=parameters ../../google/cloud/aiplatform_v1beta1/services/prediction_service/client.py:438: in predict response = rpc(request, retry=retry, timeout=timeout, metadata=metadata,) .nox/py-3-7/lib/python3.7/site-packages/google/api_core/gapic_v1/method.py:145: in call return wrapped_func(*args, **kwargs) .nox/py-3-7/lib/python3.7/site-packages/google/api_core/grpc_helpers.py:59: in error_remapped_callable six.raise_from(exceptions.from_grpc_error(exc), exc)


value = None from_value = <_InactiveRpcError of RPC that terminated with: status = StatusCode.FAILED_PRECONDITION details = "Endpoint projects...ucaip-sample-tests/locations/us-central1/endpoints/7811563922418302976 doesn't have traffic_split.","grpc_status":9}"

??? E google.api_core.exceptions.FailedPrecondition: 400 Endpoint projects/ucaip-sample-tests/locations/us-central1/endpoints/7811563922418302976 doesn't have traffic_split.

<string>:3: FailedPrecondition</pre></details>

closed time in 2 days

build-cop-bot[bot]
more